@echo off

ECHO Call installation script of each MS Hotfix Patch Day ...

SET SLEEP15=sleep 15
SET ERRORCODE=0
SET LOCAL_LOG_FILE=C:\temp\VS10A_HF01_LOG\install.log
SET LOCAL_VERSION_FILE="%MEDHOME%\config\InstalledPatchVersion"

IF DEFINED SLEEP SET SLEEP15=%SLEEP% 15000

mkdir C:\temp\VS10A_HF01_LOG

SET STARTDIR=%~dp0
SET INSTALLMSHOTFIXES=install_MsHotfixes.cmd

reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\3" /v "1806" /t REG_DWORD /d 0 /f

SET PATCHDAY=kb4012598
CALL :INSTALL_PATCHDAY


GOTO :END

:INSTALL_PATCHDAY
SET CMD=%STARTDIR%MS-PATCH-%PATCHDAY%\%INSTALLMSHOTFIXES%
IF /I EXIST %CMD% CALL %CMD%
GOTO :EOF

:END
@ECHO The batch file is returning with the errorcode as %ERRORCODE% >> %LOCAL_LOG_FILE%
@IF %ERRORCODE% == 0 (
	@ECHO Installation completed successfully.
	@ECHO VS10A_HF01_Beta1 >> %LOCAL_VERSION_FILE%
) ELSE (
	@ECHO Installation encountered error, check the installation log file.
	@ECHO "There are some error(s) in the installation, check the return codes in this log file." >> %LOCAL_LOG_FILE%
)

reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\3" /v "1806" /t REG_DWORD /d 1 /f
EXIT /B %ERRORCODE%